<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>magpar: llg/checkiterationllg.c File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<!-- Generated by Doxygen 1.6.3 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="files.html"><span>File&nbsp;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
  <div class="navpath"><a class="el" href="dir_ad11b878d2835527517911859427b54f.html">llg</a>
  </div>
</div>
<div class="contents">
<h1>checkiterationllg.c File Reference</h1><code>#include &quot;<a class="el" href="llg_8h_source.html">llg.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="magpario_8h_source.html">io/magpario.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="util_8h_source.html">util/util.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="field_8h_source.html">field/field.h</a>&quot;</code><br/>
<div class="dynheader">
Include dependency graph for checkiterationllg.c:</div>
<div class="dynsection">
<div class="center"><img src="checkiterationllg_8c__incl.png" border="0" usemap="#llg_2checkiterationllg_8c_map" alt=""/></div>
<map name="llg_2checkiterationllg_8c_map" id="llg_2checkiterationllg_8c">
<area shape="rect" id="node3" href="llg_8h.html" title="llg.h" alt="" coords="29,86,75,117"/><area shape="rect" id="node15" href="magpario_8h.html" title="io/magpario.h" alt="" coords="99,86,197,117"/><area shape="rect" id="node18" href="util_8h.html" title="util/util.h" alt="" coords="221,86,291,117"/><area shape="rect" id="node21" href="field_8h.html" title="field/field.h" alt="" coords="315,86,400,117"/><area shape="rect" id="node5" href="griddata_8h.html" title="griddata.h" alt="" coords="163,166,240,197"/></map>
</div>

<p><a href="checkiterationllg_8c_source.html">Go to the source code of this file.</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="checkiterationllg_8c.html#a3e96e10ed0445f8b608b47231b4f6184">adjtoldem</a> (<a class="el" href="structGridData.html">GridData</a> *gdata, double fac)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="checkiterationllg_8c.html#a4ff7d0e1586041652124b1189f59b881">adjtol</a> (<a class="el" href="structGridData.html">GridData</a> *gdata, double fac)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="checkiterationllg_8c.html#a5d6bf5e0146588628618631eb234060d">EquilCheck</a> (Vec M, PetscReal time, PetscReal *torque)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="checkiterationllg_8c.html#a3f86d8b6fe0ca41eb041d4130e854c6f">CheckIterationLLG_Init</a> (<a class="el" href="structGridData.html">GridData</a> *gdata)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="checkiterationllg_8c.html#a5433821a82b3ad3af34bb43677541a33">CheckIterationLLG</a> (<a class="el" href="structGridData.html">GridData</a> *gdata)</td></tr>
<tr><td colspan="2"><h2>Variables</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">KSP&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="checkiterationllg_8c.html#aeb58d58499890ec560bf98f9784c25c6">ksp_Au1</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">KSP&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="checkiterationllg_8c.html#a41beef8c4d077774a4153eac70ef0bae">ksp_Au2</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">realtype&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="checkiterationllg_8c.html#aec51da788a337a7317e3b25e8a634716">abstol</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">realtype&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="checkiterationllg_8c.html#a29c891f86d4e498ef78fe8d82ac95ea6">reltol</a></td></tr>
</table>
<hr/><h2>Function Documentation</h2>
<a class="anchor" id="a4ff7d0e1586041652124b1189f59b881"></a><!-- doxytag: member="checkiterationllg.c::adjtol" ref="a4ff7d0e1586041652124b1189f59b881" args="(GridData *gdata, double fac)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int adjtol </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structGridData.html">GridData</a> *&nbsp;</td>
          <td class="paramname"> <em>gdata</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">double&nbsp;</td>
          <td class="paramname"> <em>fac</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="checkiterationllg_8c_source.html#l00098">98</a> of file <a class="el" href="checkiterationllg_8c_source.html">checkiterationllg.c</a>.</p>

<p>References <a class="el" href="mytscreatepvode_8c_source.html#l00039">abstol</a>, <a class="el" href="checkiterationllg_8c_source.html#l00057">adjtoldem()</a>, <a class="el" href="mytscreatepvode_8c_source.html#l00037">cvode_mem</a>, <a class="el" href="griddata_8h_source.html#l00082">MagparFunctionInfoBegin</a>, <a class="el" href="griddata_8h_source.html#l00083">MagparFunctionInfoReturn</a>, <a class="el" href="mytscreatepvode_8c_source.html#l00237">PVodeReInit()</a>, <a class="el" href="mytscreatepvode_8c_source.html#l00040">reltol</a>, <a class="el" href="griddata_8h_source.html#l00145">GridData::time</a>, and <a class="el" href="griddata_8h_source.html#l00150">GridData::tscale</a>.</p>

<p>Referenced by <a class="el" href="checkiterationllg_8c_source.html#l00318">CheckIterationLLG()</a>.</p>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="checkiterationllg_8c_a4ff7d0e1586041652124b1189f59b881_cgraph.png" border="0" usemap="#checkiterationllg_8c_a4ff7d0e1586041652124b1189f59b881_cgraph_map" alt=""></div>
<map name="checkiterationllg_8c_a4ff7d0e1586041652124b1189f59b881_cgraph_map" id="checkiterationllg_8c_a4ff7d0e1586041652124b1189f59b881_cgraph">
<area shape="rect" id="node3" href="checkiterationllg_8c.html#a3e96e10ed0445f8b608b47231b4f6184" title="adjtoldem" alt="" coords="115,158,192,189"/><area shape="rect" id="node5" href="mytscreatepvode_8c.html#a4ca0e9d74cde3d8e01ad9701426444da" title="PVodeReInit" alt="" coords="107,211,200,242"/><area shape="rect" id="node7" href="renormvec_8c.html#abba3d002260d6e3e062ac69a80300aa4" title="RenormVec" alt="" coords="252,185,340,215"/><area shape="rect" id="node9" href="rhsfunction_8c.html#a5e964b5572e1640d9a793c353f6a28f6" title="RHSfunction" alt="" coords="249,238,343,269"/><area shape="rect" id="node11" href="calc__dMdt_8c.html#aa814b25d7c7a65198ca75426fb6d7403" title="calc_dMdt" alt="" coords="392,238,475,269"/><area shape="rect" id="node13" href="field_8h.html#ab9d30ce64708afeca163280386deb654" title="Htot" alt="" coords="524,238,569,269"/><area shape="rect" id="node15" href="field_8h.html#ace2ad4bc212a40902a58d3bfdaa0518a" title="Hcubic" alt="" coords="627,105,688,135"/><area shape="rect" id="node19" href="field_8h.html#a8e779a08a066fda9160df1a7e5102a58" title="Hdemag" alt="" coords="623,211,692,242"/><area shape="rect" id="node53" href="field_8h.html#a97e3d5671797656fb91afa5e61778e74" title="Helastic" alt="" coords="623,158,692,189"/><area shape="rect" id="node59" href="field_8h.html#ab3c152ad4a30f46fd55fff971a53d2ae" title="Hexchani" alt="" coords="620,265,695,295"/><area shape="rect" id="node66" href="field_8h.html#aeaf153862ea87b88e30bee559bf1d481" title="Hexternal" alt="" coords="619,530,696,561"/><area shape="rect" id="node103" href="htot_8c.html#a85ee39fe66d72226d10cb331fda60cd1" title="Htot_Init" alt="" coords="623,583,692,614"/><area shape="rect" id="node17" href="hcubic_8c.html#a01373c5662322678c71a3420ab8b0790" title="Hcubic_Init" alt="" coords="753,105,839,135"/><area shape="rect" id="node21" href="hdemag_8c.html#a550cd909b1c224ef8c259dd68298e50a" title="Hdemag_Init" alt="" coords="749,211,843,242"/><area shape="rect" id="node23" href="bmatrix_8c.html#a02081555af5c4ef64cc4674f52b4d446" title="BMatrix" alt="" coords="924,159,991,190"/><area shape="rect" id="node29" href="printmatinfo_8c.html#a8c62a6053be02438e1bf2da1efa06f1f" title="PrintMatInfoAll" alt="" coords="1081,55,1188,86"/><area shape="rect" id="node36" href="progressbar_8c.html#afac4bb91f0e22a14a209a0f60113654d" title="ProgressBar" alt="" coords="1088,213,1181,243"/><area shape="rect" id="node43" href="mesh2dual_8c.html#abb99aec57817a85ad1c4c2552f695434" title="Mesh2Nodal" alt="" coords="911,263,1004,294"/><area shape="rect" id="node49" href="elevertvol_8c.html#add57a81e67724a47fc306e81ccec2a5e" title="tetgrad" alt="" coords="927,317,988,347"/><area shape="rect" id="node25" href="bele_8c.html#affb52b9f2b0f2fd0d97c0519704464c8" title="Bele" alt="" coords="1283,162,1331,193"/><area shape="rect" id="node38" href="bmatrix_8c.html#a6ef9ef50f16bc7123b3585a730fa9afa" title="VertBSA" alt="" coords="1099,109,1171,139"/><area shape="rect" id="node27" href="solidangle_8c.html#a11f1b219c8bea88b0d4efaa49d9e109e" title="PointFromPlane" alt="" coords="1412,122,1524,153"/><area shape="rect" id="node31" href="namespacegmshtoucd.html#af68c1546c900f7a17a20835183320d61" title="gmshtoucd::info" alt="" coords="1411,42,1525,73"/><area shape="rect" id="node33" href="printmatinfo_8c.html#ad26766c91dfc88c559fd736d1bb6e064" title="PrintMatInfo" alt="" coords="1260,55,1353,86"/><area shape="rect" id="node40" href="solidangle_8c.html#a1e2c6c7a1101373c5702b927ca66405f" title="SolidAngle" alt="" coords="1265,109,1348,139"/><area shape="rect" id="node45" href="mesh2dual_8c.html#a194ba29523e593289f63c3071c31a34b" title="Mesh2VertEle" alt="" coords="1084,266,1185,297"/><area shape="rect" id="node51" href="init_8h.html#ad362da888961433eb994e6a5bc0c818d" title="tetvol" alt="" coords="1108,319,1161,350"/><area shape="rect" id="node55" href="helastic_8c.html#a396340125882d5038a4dbdadc4468699" title="Helastic_Init" alt="" coords="749,158,843,189"/><area shape="rect" id="node57" href="helastic_8c.html#af12c767230bdb7467dd25210d5fefe50" title="ReadProp" alt="" coords="919,5,996,35"/><area shape="rect" id="node61" href="hexch__ani_8c.html#a9db4f6f0ac5776543bcd4f802226942e" title="Hexchani_Init" alt="" coords="745,265,847,295"/><area shape="rect" id="node68" href="field_8h.html#a2866a2d9dd35b17789e06b1b79ab72cc" title="Hext_cu" alt="" coords="761,717,831,747"/><area shape="rect" id="node72" href="field_8h.html#aeb00096e7649b4910f8fa67dc6f27401" title="Hext_ho" alt="" coords="761,530,831,561"/><area shape="rect" id="node90" href="field_8h.html#a30cb382d2ba1eb8b00264cf43ce43e05" title="Hext_kq" alt="" coords="761,583,831,614"/><area shape="rect" id="node94" href="field_8h.html#a66aec7a3ca42c0059d2b330ca937a555" title="Hext_py" alt="" coords="761,423,831,454"/><area shape="rect" id="node101" href="hexternal_8c.html#a3459c1707cc058f462cb730e78809f17" title="Hexternal_Init" alt="" coords="745,637,847,667"/><area shape="rect" id="node70" href="hext__cu_8c.html#ad490e336bf2582884e7e3191bd37891a" title="Hext_cu_Init" alt="" coords="911,743,1004,774"/><area shape="rect" id="node74" href="ipol_8c.html#a3e2699b016b84132ec08d3795b951dd9" title="getscalf" alt="" coords="924,583,991,614"/><area shape="rect" id="node76" href="field_8h.html#a2e1ef17932652e8d616587011fb09c63" title="Hext_ho_hsweep" alt="" coords="897,477,1017,507"/><area shape="rect" id="node78" href="hext__ho_8c.html#aa7f4b51477b5dcd5afd1f4b73ffde571" title="Hext_ho_Init" alt="" coords="911,637,1004,667"/><area shape="rect" id="node88" href="util_8h.html#aa88f92d349ee3335807573e6ff373963" title="VecSetVec" alt="" coords="915,530,1000,561"/><area shape="rect" id="node80" href="hext__ho_8c.html#aed1404d744513b58ba58166a487dcbdf" title="Hext_ho_hstep_Init" alt="" coords="1068,610,1201,641"/><area shape="rect" id="node84" href="hext__ho_8c.html#ad61d58b7779a7d182a09c9becae36af1" title="Hext_ho_ht_Init" alt="" coords="1079,663,1191,694"/><area shape="rect" id="node82" href="field_8h.html#a567e7efd2748f5b33963b581ed12626c" title="read_hstep_file" alt="" coords="1252,610,1361,641"/><area shape="rect" id="node86" href="ipol_8c.html#a7c6add33a29c7ae759615a08798ee75d" title="readht" alt="" coords="1277,663,1336,694"/><area shape="rect" id="node92" href="hext__kq_8c.html#aac24a1f9bfe67ce4a008a31375cb1d01" title="Hext_kq_Init" alt="" coords="911,690,1004,721"/><area shape="rect" id="node96" href="hext__py_8c.html#a9570f5d09accfa97e676f862b1acb592" title="hext_f" alt="" coords="928,423,987,454"/><area shape="rect" id="node98" href="hext__py_8c.html#a53aac86dc06657ac5dc89f8f21bd4a70" title="Hext_py_Init" alt="" coords="911,370,1004,401"/></map>
</div>
</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="checkiterationllg_8c_a4ff7d0e1586041652124b1189f59b881_icgraph.png" border="0" usemap="#checkiterationllg_8c_a4ff7d0e1586041652124b1189f59b881_icgraph_map" alt=""></div>
<map name="checkiterationllg_8c_a4ff7d0e1586041652124b1189f59b881_icgraph_map" id="checkiterationllg_8c_a4ff7d0e1586041652124b1189f59b881_icgraph">
<area shape="rect" id="node3" href="checkiterationllg_8c.html#a5433821a82b3ad3af34bb43677541a33" title="CheckIterationLLG" alt="" coords="108,31,236,62"/><area shape="rect" id="node5" href="parinit_8c.html#aab78598aa0d3ece1097d988997f0aea3" title="ParInit" alt="" coords="285,5,344,35"/><area shape="rect" id="node9" href="main_8c.html#af91d94707b6b88920418dfb69be0e106" title="Solve" alt="" coords="288,58,341,89"/><area shape="rect" id="node7" href="main_8c.html#a7a29781a20c5dd4153c3c1cecf0ff328" title="main" alt="" coords="392,31,443,62"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a3e96e10ed0445f8b608b47231b4f6184"></a><!-- doxytag: member="checkiterationllg.c::adjtoldem" ref="a3e96e10ed0445f8b608b47231b4f6184" args="(GridData *gdata, double fac)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int adjtoldem </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structGridData.html">GridData</a> *&nbsp;</td>
          <td class="paramname"> <em>gdata</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">double&nbsp;</td>
          <td class="paramname"> <em>fac</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="checkiterationllg_8c_source.html#l00057">57</a> of file <a class="el" href="checkiterationllg_8c_source.html">checkiterationllg.c</a>.</p>

<p>References <a class="el" href="hdemag_8c_source.html#l00055">ksp_Au1</a>, <a class="el" href="hdemag_8c_source.html#l00056">ksp_Au2</a>, <a class="el" href="griddata_8h_source.html#l00082">MagparFunctionInfoBegin</a>, <a class="el" href="griddata_8h_source.html#l00083">MagparFunctionInfoReturn</a>, <a class="el" href="griddata_8h_source.html#l00145">GridData::time</a>, <a class="el" href="griddata_8h_source.html#l00150">GridData::tscale</a>, and <a class="el" href="griddata_8h_source.html#l00248">GridData::VHdem</a>.</p>

<p>Referenced by <a class="el" href="checkiterationllg_8c_source.html#l00098">adjtol()</a>.</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="checkiterationllg_8c_a3e96e10ed0445f8b608b47231b4f6184_icgraph.png" border="0" usemap="#checkiterationllg_8c_a3e96e10ed0445f8b608b47231b4f6184_icgraph_map" alt=""></div>
<map name="checkiterationllg_8c_a3e96e10ed0445f8b608b47231b4f6184_icgraph_map" id="checkiterationllg_8c_a3e96e10ed0445f8b608b47231b4f6184_icgraph">
<area shape="rect" id="node3" href="checkiterationllg_8c.html#a4ff7d0e1586041652124b1189f59b881" title="adjtol" alt="" coords="133,31,187,62"/><area shape="rect" id="node5" href="checkiterationllg_8c.html#a5433821a82b3ad3af34bb43677541a33" title="CheckIterationLLG" alt="" coords="236,31,364,62"/><area shape="rect" id="node7" href="parinit_8c.html#aab78598aa0d3ece1097d988997f0aea3" title="ParInit" alt="" coords="413,5,472,35"/><area shape="rect" id="node11" href="main_8c.html#af91d94707b6b88920418dfb69be0e106" title="Solve" alt="" coords="416,58,469,89"/><area shape="rect" id="node9" href="main_8c.html#a7a29781a20c5dd4153c3c1cecf0ff328" title="main" alt="" coords="520,31,571,62"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a5433821a82b3ad3af34bb43677541a33"></a><!-- doxytag: member="checkiterationllg.c::CheckIterationLLG" ref="a5433821a82b3ad3af34bb43677541a33" args="(GridData *gdata)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int CheckIterationLLG </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structGridData.html">GridData</a> *&nbsp;</td>
          <td class="paramname"> <em>gdata</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="checkiterationllg_8c_source.html#l00318">318</a> of file <a class="el" href="checkiterationllg_8c_source.html">checkiterationllg.c</a>.</p>

<p>References <a class="el" href="checkiterationllg_8c_source.html#l00098">adjtol()</a>, <a class="el" href="calc__dMdt_8c_source.html#l00034">calc_dMdt()</a>, <a class="el" href="checkiterationllg_8c_source.html#l00167">CheckIterationLLG_Init()</a>, <a class="el" href="mytscreatepvode_8c_source.html#l00037">cvode_mem</a>, <a class="el" href="griddata_8h_source.html#l00109">D_EPS</a>, <a class="el" href="distortvec_8c_source.html#l00029">DistortVec()</a>, <a class="el" href="griddata_8h_source.html#l00250">GridData::Edem</a>, <a class="el" href="griddata_8h_source.html#l00264">GridData::equil</a>, <a class="el" href="checkiterationllg_8c_source.html#l00132">EquilCheck()</a>, <a class="el" href="griddata_8h_source.html#l00151">GridData::escale</a>, <a class="el" href="griddata_8h_source.html#l00260">GridData::Etot</a>, <a class="el" href="hext__ho_8c_source.html#l00067">Hext_ho_hstep()</a>, <a class="el" href="hexternal_8c_source.html#l00113">Hexternal_hext()</a>, <a class="el" href="griddata_8h_source.html#l00143">GridData::inp</a>, <a class="el" href="griddata_8h_source.html#l00247">GridData::M</a>, <a class="el" href="griddata_8h_source.html#l00082">MagparFunctionInfoBegin</a>, <a class="el" href="griddata_8h_source.html#l00084">MagparFunctionProfReturn</a>, <a class="el" href="griddata_8h_source.html#l00147">GridData::mode</a>, <a class="el" href="hext__ho_8c_source.html#l00054">MpHext()</a>, <a class="el" href="griddata_8h_source.html#l00093">ND</a>, <a class="el" href="mytscreatepvode_8c_source.html#l00237">PVodeReInit()</a>, <a class="el" href="mytscreatepvode_8c_source.html#l00040">reltol</a>, <a class="el" href="renormvec_8c_source.html#l00029">RenormVec()</a>, <a class="el" href="griddata_8h_source.html#l00145">GridData::time</a>, <a class="el" href="griddata_8h_source.html#l00150">GridData::tscale</a>, <a class="el" href="griddata_8h_source.html#l00265">GridData::vequil</a>, <a class="el" href="griddata_8h_source.html#l00248">GridData::VHdem</a>, <a class="el" href="writelog_8c_source.html#l00295">WriteLog()</a>, and <a class="el" href="writedata_8c_source.html#l00036">WriteSet()</a>.</p>

<p>Referenced by <a class="el" href="parinit_8c_source.html#l00054">ParInit()</a>, and <a class="el" href="main_8c_source.html#l00285">Solve()</a>.</p>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="checkiterationllg_8c_a5433821a82b3ad3af34bb43677541a33_cgraph.png" border="0" usemap="#checkiterationllg_8c_a5433821a82b3ad3af34bb43677541a33_cgraph_map" alt=""></div>
<map name="checkiterationllg_8c_a5433821a82b3ad3af34bb43677541a33_cgraph_map" id="checkiterationllg_8c_a5433821a82b3ad3af34bb43677541a33_cgraph">
<area shape="rect" id="node3" href="checkiterationllg_8c.html#a4ff7d0e1586041652124b1189f59b881" title="adjtol" alt="" coords="235,7,288,38"/><area shape="rect" id="node7" href="mytscreatepvode_8c.html#a4ca0e9d74cde3d8e01ad9701426444da" title="PVodeReInit" alt="" coords="397,58,491,89"/><area shape="rect" id="node9" href="renormvec_8c.html#abba3d002260d6e3e062ac69a80300aa4" title="RenormVec" alt="" coords="588,109,676,139"/><area shape="rect" id="node13" href="calc__dMdt_8c.html#aa814b25d7c7a65198ca75426fb6d7403" title="calc_dMdt" alt="" coords="763,295,845,326"/><area shape="rect" id="node48" href="checkiterationllg_8c.html#a3f86d8b6fe0ca41eb041d4130e854c6f" title="CheckIterationLLG_Init" alt="" coords="184,490,339,521"/><area shape="rect" id="node52" href="distortvec_8c.html#a8bf0a9f33e000474112d918b05b1b377" title="DistortVec" alt="" coords="220,543,303,574"/><area shape="rect" id="node54" href="checkiterationllg_8c.html#a5d6bf5e0146588628618631eb234060d" title="EquilCheck" alt="" coords="217,162,305,193"/><area shape="rect" id="node57" href="field_8h.html#a386ce6c3aee542bfbdfbc8bce99d51fe" title="Hext_ho_hstep" alt="" coords="207,597,316,627"/><area shape="rect" id="node61" href="field_8h.html#a48d0086e7ff33076be493f9379c45069" title="Hexternal_hext" alt="" coords="577,162,687,193"/><area shape="rect" id="node63" href="field_8h.html#aacac4af746c003dbd608d662ca2272e2" title="MpHext" alt="" coords="599,215,665,246"/><area shape="rect" id="node67" href="magpario_8h.html#ad970cf1663bac1ede525a5caf43750fd" title="WriteLog" alt="" coords="225,359,297,390"/><area shape="rect" id="node88" href="magpario_8h.html#a7ff05d6bfdfc02445d6245fec57f686e" title="WriteSet" alt="" coords="227,690,296,721"/><area shape="rect" id="node5" href="checkiterationllg_8c.html#a3e96e10ed0445f8b608b47231b4f6184" title="adjtoldem" alt="" coords="405,5,483,35"/><area shape="rect" id="node11" href="rhsfunction_8c.html#a5e964b5572e1640d9a793c353f6a28f6" title="RHSfunction" alt="" coords="585,55,679,86"/><area shape="rect" id="node15" href="field_8h.html#ab9d30ce64708afeca163280386deb654" title="Htot" alt="" coords="895,295,940,326"/><area shape="rect" id="node17" href="field_8h.html#ace2ad4bc212a40902a58d3bfdaa0518a" title="Hcubic" alt="" coords="997,162,1059,193"/><area shape="rect" id="node21" href="field_8h.html#a8e779a08a066fda9160df1a7e5102a58" title="Hdemag" alt="" coords="993,215,1063,246"/><area shape="rect" id="node25" href="field_8h.html#a97e3d5671797656fb91afa5e61778e74" title="Helastic" alt="" coords="993,269,1063,299"/><area shape="rect" id="node29" href="field_8h.html#ab3c152ad4a30f46fd55fff971a53d2ae" title="Hexchani" alt="" coords="991,322,1065,353"/><area shape="rect" id="node33" href="field_8h.html#aeaf153862ea87b88e30bee559bf1d481" title="Hexternal" alt="" coords="989,429,1067,459"/><area shape="rect" id="node45" href="htot_8c.html#a85ee39fe66d72226d10cb331fda60cd1" title="Htot_Init" alt="" coords="993,482,1063,513"/><area shape="rect" id="node19" href="hcubic_8c.html#a01373c5662322678c71a3420ab8b0790" title="Hcubic_Init" alt="" coords="1124,162,1209,193"/><area shape="rect" id="node23" href="hdemag_8c.html#a550cd909b1c224ef8c259dd68298e50a" title="Hdemag_Init" alt="" coords="1120,215,1213,246"/><area shape="rect" id="node27" href="helastic_8c.html#a396340125882d5038a4dbdadc4468699" title="Helastic_Init" alt="" coords="1120,269,1213,299"/><area shape="rect" id="node31" href="hexch__ani_8c.html#a9db4f6f0ac5776543bcd4f802226942e" title="Hexchani_Init" alt="" coords="1116,322,1217,353"/><area shape="rect" id="node35" href="field_8h.html#a2866a2d9dd35b17789e06b1b79ab72cc" title="Hext_cu" alt="" coords="1132,375,1201,406"/><area shape="rect" id="node37" href="field_8h.html#aeb00096e7649b4910f8fa67dc6f27401" title="Hext_ho" alt="" coords="1132,429,1201,459"/><area shape="rect" id="node39" href="field_8h.html#a30cb382d2ba1eb8b00264cf43ce43e05" title="Hext_kq" alt="" coords="1132,482,1201,513"/><area shape="rect" id="node41" href="field_8h.html#a66aec7a3ca42c0059d2b330ca937a555" title="Hext_py" alt="" coords="1132,535,1201,566"/><area shape="rect" id="node43" href="hexternal_8c.html#a3459c1707cc058f462cb730e78809f17" title="Hexternal_Init" alt="" coords="1116,589,1217,619"/><area shape="rect" id="node50" href="magpario_8h.html#a85c6fd604f4655acf9edea63969a5676" title="read_one_line" alt="" coords="393,530,495,561"/><area shape="rect" id="node59" href="field_8h.html#aeebb8d32f6d9e3ab71e50c03e1372717" title="get_scalf_hstep" alt="" coords="387,583,501,614"/><area shape="rect" id="node69" href="writelog_8c.html#a54c21359e5dbade333f4c1ac856a3ffb" title="WriteLogData" alt="" coords="395,317,493,347"/><area shape="rect" id="node78" href="magpario_8h.html#aa63307197e81d27990850ea179eb5187" title="WriteLogPid" alt="" coords="399,373,489,403"/><area shape="rect" id="node84" href="writelog__pvode_8c.html#afc3aa13e4e04c3b501cf220d4cc1e3ee" title="WriteLogPVode" alt="" coords="389,426,499,457"/><area shape="rect" id="node74" href="magpario_8h.html#acf315ef77c9cda0a419e75748c5ad9a8" title="Vec3VolAvg" alt="" coords="587,269,677,299"/><area shape="rect" id="node76" href="writelog_8c.html#aa4b9c3d7fa8f610a0ae44ca0551f03ad" title="WriteLogInit" alt="" coords="587,322,677,353"/><area shape="rect" id="node80" href="field_8h.html#a09d3a5bbcb3e65c1e4c7e22818377b13" title="Htot_Energy" alt="" coords="585,375,679,406"/><area shape="rect" id="node82" href="writelog__pid_8c.html#afead37ceb35d036cf38fc7a8ebe4805f" title="WriteLogPidInit" alt="" coords="577,429,687,459"/><area shape="rect" id="node86" href="writelog__pvode_8c.html#a3e2b0c2d1553ae99499b4d70f14bba10" title="WriteLogPVodeInit" alt="" coords="569,482,695,513"/><area shape="rect" id="node90" href="magpario_8h.html#a617c029487285a8f6077f0397c386342" title="WriteAVS" alt="" coords="407,637,481,667"/><area shape="rect" id="node94" href="magpario_8h.html#a8a2136d4b7b21ac2719c65356c713cbb" title="WriteDat" alt="" coords="409,690,479,721"/><area shape="rect" id="node98" href="writedatapng_8c.html#a629c0cdcd1b586d1645c533c397e0456" title="WritePNG" alt="" coords="405,797,483,827"/><area shape="rect" id="node104" href="writedatapng2_8c.html#aaa844719c96178cd07f858c1192c7341" title="WritePNG2" alt="" coords="401,743,487,774"/><area shape="rect" id="node92" href="syncffprintf_8c.html#ad822d6c23d995cdca14184e56d559423" title="SynchronizedFastFPrintf" alt="" coords="549,637,715,667"/><area shape="rect" id="node96" href="writedatadat_8c.html#a27c977d96cd920cf08c4c10eb3565f10" title="WriteDatInit" alt="" coords="588,690,676,721"/><area shape="rect" id="node100" href="writepng_8c.html#a7770d19aebe21e0a423fd40781030bcb" title="WritePNGfile" alt="" coords="584,797,680,827"/><area shape="rect" id="node102" href="writedatapng_8c.html#a3f07c3a3f70ce2f4d84f69022cccf680" title="WritePNGinit" alt="" coords="584,850,680,881"/><area shape="rect" id="node106" href="writedatapng2_8c.html#a916a4d7d0d8aec0eac742e8f8bb41a93" title="WritePNG2init" alt="" coords="581,743,683,774"/></map>
</div>
</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="checkiterationllg_8c_a5433821a82b3ad3af34bb43677541a33_icgraph.png" border="0" usemap="#checkiterationllg_8c_a5433821a82b3ad3af34bb43677541a33_icgraph_map" alt=""></div>
<map name="checkiterationllg_8c_a5433821a82b3ad3af34bb43677541a33_icgraph_map" id="checkiterationllg_8c_a5433821a82b3ad3af34bb43677541a33_icgraph">
<area shape="rect" id="node3" href="parinit_8c.html#aab78598aa0d3ece1097d988997f0aea3" title="ParInit" alt="" coords="184,5,243,35"/><area shape="rect" id="node7" href="main_8c.html#af91d94707b6b88920418dfb69be0e106" title="Solve" alt="" coords="187,58,240,89"/><area shape="rect" id="node5" href="main_8c.html#a7a29781a20c5dd4153c3c1cecf0ff328" title="main" alt="" coords="291,31,341,62"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a3f86d8b6fe0ca41eb041d4130e854c6f"></a><!-- doxytag: member="checkiterationllg.c::CheckIterationLLG_Init" ref="a3f86d8b6fe0ca41eb041d4130e854c6f" args="(GridData *gdata)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int CheckIterationLLG_Init </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structGridData.html">GridData</a> *&nbsp;</td>
          <td class="paramname"> <em>gdata</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="checkiterationllg_8c_source.html#l00167">167</a> of file <a class="el" href="checkiterationllg_8c_source.html">checkiterationllg.c</a>.</p>

<p>References <a class="el" href="mytscreatepvode_8c_source.html#l00039">abstol</a>, <a class="el" href="griddata_8h_source.html#l00075">MagparFunctionLogBegin</a>, <a class="el" href="griddata_8h_source.html#l00076">MagparFunctionLogReturn</a>, <a class="el" href="readkrn_8c_source.html#l00032">read_one_line()</a>, <a class="el" href="griddata_8h_source.html#l00145">GridData::time</a>, and <a class="el" href="griddata_8h_source.html#l00150">GridData::tscale</a>.</p>

<p>Referenced by <a class="el" href="checkiterationllg_8c_source.html#l00318">CheckIterationLLG()</a>.</p>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="checkiterationllg_8c_a3f86d8b6fe0ca41eb041d4130e854c6f_cgraph.png" border="0" usemap="#checkiterationllg_8c_a3f86d8b6fe0ca41eb041d4130e854c6f_cgraph_map" alt=""></div>
<map name="checkiterationllg_8c_a3f86d8b6fe0ca41eb041d4130e854c6f_cgraph_map" id="checkiterationllg_8c_a3f86d8b6fe0ca41eb041d4130e854c6f_cgraph">
<area shape="rect" id="node3" href="magpario_8h.html#a85c6fd604f4655acf9edea63969a5676" title="read_one_line" alt="" coords="209,5,311,35"/></map>
</div>
</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="checkiterationllg_8c_a3f86d8b6fe0ca41eb041d4130e854c6f_icgraph.png" border="0" usemap="#checkiterationllg_8c_a3f86d8b6fe0ca41eb041d4130e854c6f_icgraph_map" alt=""></div>
<map name="checkiterationllg_8c_a3f86d8b6fe0ca41eb041d4130e854c6f_icgraph_map" id="checkiterationllg_8c_a3f86d8b6fe0ca41eb041d4130e854c6f_icgraph">
<area shape="rect" id="node3" href="checkiterationllg_8c.html#a5433821a82b3ad3af34bb43677541a33" title="CheckIterationLLG" alt="" coords="209,31,337,62"/><area shape="rect" id="node5" href="parinit_8c.html#aab78598aa0d3ece1097d988997f0aea3" title="ParInit" alt="" coords="387,5,445,35"/><area shape="rect" id="node9" href="main_8c.html#af91d94707b6b88920418dfb69be0e106" title="Solve" alt="" coords="389,58,443,89"/><area shape="rect" id="node7" href="main_8c.html#a7a29781a20c5dd4153c3c1cecf0ff328" title="main" alt="" coords="493,31,544,62"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a5d6bf5e0146588628618631eb234060d"></a><!-- doxytag: member="checkiterationllg.c::EquilCheck" ref="a5d6bf5e0146588628618631eb234060d" args="(Vec M, PetscReal time, PetscReal *torque)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int EquilCheck </td>
          <td>(</td>
          <td class="paramtype">Vec&nbsp;</td>
          <td class="paramname"> <em>M</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">PetscReal&nbsp;</td>
          <td class="paramname"> <em>time</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">PetscReal *&nbsp;</td>
          <td class="paramname"> <em>torque</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="checkiterationllg_8c_source.html#l00132">132</a> of file <a class="el" href="checkiterationllg_8c_source.html">checkiterationllg.c</a>.</p>

<p>References <a class="el" href="griddata_8h_source.html#l00082">MagparFunctionInfoBegin</a>, <a class="el" href="griddata_8h_source.html#l00083">MagparFunctionInfoReturn</a>, <a class="el" href="griddata_8h_source.html#l00084">MagparFunctionProfReturn</a>, <a class="el" href="griddata_8h_source.html#l00093">ND</a>, and <a class="el" href="renormvec_8c_source.html#l00029">RenormVec()</a>.</p>

<p>Referenced by <a class="el" href="checkiterationllg_8c_source.html#l00318">CheckIterationLLG()</a>.</p>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="checkiterationllg_8c_a5d6bf5e0146588628618631eb234060d_cgraph.png" border="0" usemap="#checkiterationllg_8c_a5d6bf5e0146588628618631eb234060d_cgraph_map" alt=""></div>
<map name="checkiterationllg_8c_a5d6bf5e0146588628618631eb234060d_cgraph_map" id="checkiterationllg_8c_a5d6bf5e0146588628618631eb234060d_cgraph">
<area shape="rect" id="node3" href="renormvec_8c.html#abba3d002260d6e3e062ac69a80300aa4" title="RenormVec" alt="" coords="143,5,231,35"/></map>
</div>
</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="checkiterationllg_8c_a5d6bf5e0146588628618631eb234060d_icgraph.png" border="0" usemap="#checkiterationllg_8c_a5d6bf5e0146588628618631eb234060d_icgraph_map" alt=""></div>
<map name="checkiterationllg_8c_a5d6bf5e0146588628618631eb234060d_icgraph_map" id="checkiterationllg_8c_a5d6bf5e0146588628618631eb234060d_icgraph">
<area shape="rect" id="node3" href="checkiterationllg_8c.html#a5433821a82b3ad3af34bb43677541a33" title="CheckIterationLLG" alt="" coords="143,31,271,62"/><area shape="rect" id="node5" href="parinit_8c.html#aab78598aa0d3ece1097d988997f0aea3" title="ParInit" alt="" coords="320,5,379,35"/><area shape="rect" id="node9" href="main_8c.html#af91d94707b6b88920418dfb69be0e106" title="Solve" alt="" coords="323,58,376,89"/><area shape="rect" id="node7" href="main_8c.html#a7a29781a20c5dd4153c3c1cecf0ff328" title="main" alt="" coords="427,31,477,62"/></map>
</div>
</p>

</div>
</div>
<hr/><h2>Variable Documentation</h2>
<a class="anchor" id="aec51da788a337a7317e3b25e8a634716"></a><!-- doxytag: member="checkiterationllg.c::abstol" ref="aec51da788a337a7317e3b25e8a634716" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">realtype <a class="el" href="mytscreatepvode_8c.html#aec51da788a337a7317e3b25e8a634716">abstol</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="mytscreatepvode_8c_source.html#l00039">39</a> of file <a class="el" href="mytscreatepvode_8c_source.html">mytscreatepvode.c</a>.</p>

<p>Referenced by <a class="el" href="checkiterationllg_8c_source.html#l00098">adjtol()</a>, <a class="el" href="checkiterationllg_8c_source.html#l00167">CheckIterationLLG_Init()</a>, <a class="el" href="mytscreatepvode_8c_source.html#l00308">myTSCreatePVode()</a>, <a class="el" href="mytscreatepvode_8c_source.html#l00042">PVodeInit()</a>, and <a class="el" href="mytscreatepvode_8c_source.html#l00237">PVodeReInit()</a>.</p>

</div>
</div>
<a class="anchor" id="aeb58d58499890ec560bf98f9784c25c6"></a><!-- doxytag: member="checkiterationllg.c::ksp_Au1" ref="aeb58d58499890ec560bf98f9784c25c6" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">KSP <a class="el" href="checkiterationllg_8c.html#aeb58d58499890ec560bf98f9784c25c6">ksp_Au1</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="hdemag_8c_source.html#l00055">55</a> of file <a class="el" href="hdemag_8c_source.html">hdemag.c</a>.</p>

<p>Referenced by <a class="el" href="checkiterationllg_8c_source.html#l00057">adjtoldem()</a>, <a class="el" href="hdemag_8c_source.html#l00774">Hdemag()</a>, and <a class="el" href="hdemag_8c_source.html#l00067">Hdemag_Init()</a>.</p>

</div>
</div>
<a class="anchor" id="a41beef8c4d077774a4153eac70ef0bae"></a><!-- doxytag: member="checkiterationllg.c::ksp_Au2" ref="a41beef8c4d077774a4153eac70ef0bae" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">KSP <a class="el" href="checkiterationllg_8c.html#a41beef8c4d077774a4153eac70ef0bae">ksp_Au2</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="hdemag_8c_source.html#l00056">56</a> of file <a class="el" href="hdemag_8c_source.html">hdemag.c</a>.</p>

<p>Referenced by <a class="el" href="checkiterationllg_8c_source.html#l00057">adjtoldem()</a>, <a class="el" href="hdemag_8c_source.html#l00774">Hdemag()</a>, and <a class="el" href="hdemag_8c_source.html#l00067">Hdemag_Init()</a>.</p>

</div>
</div>
<a class="anchor" id="a29c891f86d4e498ef78fe8d82ac95ea6"></a><!-- doxytag: member="checkiterationllg.c::reltol" ref="a29c891f86d4e498ef78fe8d82ac95ea6" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">realtype <a class="el" href="mytscreatepvode_8c.html#a29c891f86d4e498ef78fe8d82ac95ea6">reltol</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>absolute and relative accuracy </p>

<p>Definition at line <a class="el" href="mytscreatepvode_8c_source.html#l00040">40</a> of file <a class="el" href="mytscreatepvode_8c_source.html">mytscreatepvode.c</a>.</p>

<p>Referenced by <a class="el" href="checkiterationllg_8c_source.html#l00098">adjtol()</a>, <a class="el" href="checkiterationllg_8c_source.html#l00318">CheckIterationLLG()</a>, <a class="el" href="mytscreatepvode_8c_source.html#l00308">myTSCreatePVode()</a>, <a class="el" href="mytscreatepvode_8c_source.html#l00042">PVodeInit()</a>, and <a class="el" href="mytscreatepvode_8c_source.html#l00237">PVodeReInit()</a>.</p>

</div>
</div>
</div>
  <hr>
  <address>
    magpar - Parallel Finite Element Micromagnetics Package<br>
    Copyright (C) 2002-2010 Werner Scholz
  </address>
  </body>
</html>

